[mythtv-users] Mythtv 0.22 upgrade problems

Torbjörn Jansson torbjorn.jansson at gmail.com
Sun Nov 8 10:10:05 UTC 2009

2009/11/8 Michael T. Dean <mtdean at thirdcontact.com>:
> On 11/07/2009 08:58 PM, mythtv a blandford wrote:
>> I have been running mythtv for several years and am currently at 0.21.
>> I am trying to upgrade to 0.22 using the atrpms packages.
>> After the upgrade, running mythvsetup appears to go fine and I see the
>> schema updates occur.
>> However, when I start the front end, it tries to update the schema for
>> mythvideo but fails.  On the screen it says:
>> Warning: MythTV wants to upgrade your database for the Video schema, from
>> 1016 to 1028.
>> Messages from the frontend log say:
>> Query was:
>> Driver error was [2/1146]:
>> QMYSQL3: Unable to execute statement
>> Database error was:
>> Table 'mythconverg.videocountry' doesn't exist
>> 2009-11-07 18:55:09.110 Couldn't upgrade video database schema, exiting.
>> 2009-11-07 18:55:09.110 Unable to initialize plugin 'mythvideo'.
>> Looking at the database, that table does not appear to exist.
>> Any suggestions on how to proceed?
> Backup your database (
> http://www.mythtv.org/wiki/Database_Backup_and_Restore ).
> Then:

i had the exact same problem when upgrading.
but i didnt do as you sugested, instead i examined the source and used
the sql code in there to create the missing table.
was carefull to check if there was any other changes to that table so
i woudnt miss anything.

> I'm guessing at one point in the past you had only MythDVD or MythVideo
> installed back when they were separate plugins.

thats true for my installation, its old.
got old recordings from 2003 or something like that.

More information about the mythtv-users mailing list